GET /shadows/v4

here.com:tracking

Summary: Gets all shadows
Operation ID:
Auth: unknown
Description

Gets all device shadows of a project.

Parameters (7)

X-Request-Id (string, header, optional)

ID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.

after (string, query, optional)

If provided returns the shadows for which `reported.timestamp` is greater than given `after` parameter.

bbox (array, query, optional)

Limit search to shadows, whose position intersects the given bounding box. The `bbox` array consist of latitude and longitude of Northwest and Southeast corners.

limit (integer, query, optional, default: 100)

The number of items to return per page

Constraints: {'minimum': 1, 'maximum': 1000}

pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

projectId (string, query, optional)

Constraints: {'minLength': 1, 'maxLength': 50}

sort (string, query, optional)

Defines how the items are sorted. The default sort is `sort=trackingId:asc`

Constraints: {'pattern': '^(trackingId|reported.timestamp|desired.timestamp):(asc|desc)$'}

No probe data for this endpoint yet.